Loading...
Searching...
No Matches
Opm::FlowsContainer< FluidSystem > Class Template Reference

## Public Member Functions

| FlowsContainer (const Schedule &schedule, const SummaryConfig &summaryConfig)
void | allocate (const std::size_t bufferSize, const unsigned numOutputNnc, const bool allocRestart, std::map< std::string, int > &rstKeywords)
void | assignFlores (const unsigned globalDofIdx, const int faceId, const unsigned nncId, const Scalar gas, const Scalar oil, const Scalar water)
void | assignFlows (const unsigned globalDofIdx, const int faceId, const unsigned nncId, const Scalar gas, const Scalar oil, const Scalar water)
void | outputRestart (data::Solution &sol)
const std::array< FlowsData< double >, 3 > & | getFlowsn () const
bool | hasFlowsn () const
bool | hasFlows () const
bool | hasBlockFlows () const
bool | anyFlows () const
const std::array< FlowsData< double >, 3 > & | getFloresn () const
bool | hasFloresn () const
bool | hasFlores () const
bool | anyFlores () const
Scalar | getFlow (const unsigned globalDofIdx, const FaceDir::DirEnum dir, const int comp_idx) const

The documentation for this class was generated from the following files:

- opm/simulators/flow/FlowsContainer.hpp
- opm/simulators/flow/FlowsContainer.cpp